Support » Plugin: WordPress Social Login » Please make this WPML compatible

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Miled

    (@miled)

    Yep it would be nice. I definitely agree. I do, however, have a strong negative opinion concerning commercial plugins.

    OC2PS

    (@sooskriszta)

    Commercial plugins do seem a way off from the core WordPress idea. I would much prefer if there were a good core or free solution for multilingual blogs and sites. http://wordpress.org/extend/ideas/topic/multiple-languages-blogging-a-core-solution

    Unfortunately, there isn’t one. The only free solution seems to be qTranslate which is clever but messy and not good from several different perspectives. So the only decent alternative is WPML, which used to be free a couple of years ago but has since moved to commercial category 🙁 Even so, this is what most multilingual WordPress sites use to power their internationalization…so….

    Would be nice if WordPress Social Login were compatible with it.

    I would love to see WPML support as well. As for the fact that it is a commercial plugin, I just want to point out that the plugin itself is GPL, and therefor not that far away from the ‘core WordPress idea’. Even more, WordPress has no problem with commercial plugins and themes, as long as they are fully GPL.

    WPML is working together with many other plugin authors out there to improve compatibility, which I believe is a big plus in the eye of the ‘core WordPress idea’. In most cases, this is a bigger win for those other plugins than for WPML, since for WPML there isn’t really a good alternative (qTranslate is fine for small sites, but has its limitations), while for many other plugins there are numerous alternatives out there.

    So, I hope you will reconsider your opinion towards commercial plugins.

    Plugin Author Miled

    (@miled)

    Please. what I’m talking about is “opinions” not “GPL”. as explained here: http://www.gnu.org/philosophy/selling.en.html, selling WPML is legitimate and it’s their right to do so.

    WSL was made a free software, free as in freedom and price alike. the fact that someone have paid for WPML shouldn’t make him any better _no offense_ than the rest of WSL users, meaning: if this feature were to be implemented then it must be available for anyone and everyone. furthermore, if I were going to bother spending my time working on something, then it won’t be on making WSL compatible with a “commercial” plugin.

    OC2PS

    (@sooskriszta)

    You have created this plugin and it’s up to you whether or not you include certain features.

    Would you be open to merging a patch if I submitted one to add WPML compatibility?

    Plugin Author Miled

    (@miled)

    sure, if its under 100 LOC.

    netigate

    (@netigate)

    would love to use the wpml patch

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Please make this WPML compatible’ is closed to new replies.